Eclipse Platform Release 3.7

## org.eclipse.jface.text.revisions
Interface IRevisionRulerColumn

All Superinterfaces:
  IVerticalRulerColumn, IVerticalRulerInfo, IVerticalRulerInfoExtension

All Known Implementing Classes:
  ChangeRulerColumn, LineNumberChangeRulerColumn

    public interface IRevisionRulerColumn

extends IVerticalRulerColumn, IVerticalRulerInfo, IVerticalRulerInfoExtension

A vertical ruler column capable of displaying revision (annotate) information. In order to provide backward compatibility for clients of `IRevisionRulerColumn`, extension interfaces are used as a means of evolution. The following extension interfaces exist:

- `IRevisionRulerColumnExtension` since version 3.3 allowing to register a selection listener on revisions and a configurable rendering mode.

Since:
  3.2
See Also:
  `RevisionInformation`, `IRevisionRulerColumnExtension`

Method Summary
`void` `setRevisionInformation(RevisionInformation info)` Sets the revision information.

Methods inherited from interface org.eclipse.jface.text.source.IVerticalRulerColumn
`createControl, getControl, getWidth, redraw, setFont, setModel`

Methods inherited from interface org.eclipse.jface.text.source.IVerticalRulerInfo
`getControl, getLineOfLastMouseButtonActivity, getWidth, toDocumentLineNumber`

Methods inherited from interface org.eclipse.jface.text.source.IVerticalRulerInfoExtension
`addVerticalRulerListener, getHover, getModel, removeVerticalRulerListener`

Method Detail

### setRevisionInformation

    void setRevisionInformation(RevisionInformation info)

  Sets the revision information.

  Parameters:
    `info` - the new revision information, or `null` to reset the ruler

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.